# Get Document

Source: https://www.digiparser.com/docs/api/getDocument

# Get Document

Server URL`loading...`

GET

/`api`/`v1`/`parsers`/`{parserId}`/`documents`/`{documentId}`

Send

Authorization

Path

Retrieve one complete document view, including status, folder, file link when available, latest extracted data when available, sanitized error information, timestamps, and page count.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

documentId\*string

The ID of the document

Format`uuid`

## [Response Body](#response-body)

### 200

`application/json`

### 401

`application/json`

### 404

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X GET "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/documents/3eb8e281-89b8-4cf0-9397-660794692cef"
```

200401404

```
{
  "id": "2b9b1243-3d94-42b0-9515-729c7404e3b7",
  "name": "sample-invoice.pdf",
  "externalId": "doc-123",
  "custom": {
    "batchId": "xyz",
    "customerId": "pqr"
  },
  "status": "processed",
  "folderId": "76e4f0ef-15d0-4bde-8c0e-43d361c0795c",
  "source": "api",
  "contentType": "application/pdf",
  "createdAt": "2026-01-23T18:11:47.319Z",
  "updatedAt": "2026-01-23T18:12:29.860Z",
  "isProcessed": true,
  "isFailed": false,
  "pageCount": 1,
  "review": {
    "isRequired": true,
    "status": "not_required",
    "assignee": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "Jane Reviewer",
      "email": "[email protected]"
    },
    "currentStage": {
      "id": "string",
      "name": "string",
      "reviewerInstructions": "string",
      "position": 0
    },
    "stages": [
      {
        "id": "string",
        "name": "string",
        "reviewerInstructions": "string",
        "position": 0,
        "status": "pending",
        "assignee": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "Jane Reviewer",
          "email": "[email protected]"
        },
        "approvedAt": "2019-08-24T14:15:22Z",
        "rejectedAt": "2019-08-24T14:15:22Z"
      }
    ]
  },
  "url": "https://documents.digiparser.com/resources/t/team/p/parser/d/document/sample-invoice.pdf",
  "folder": {
    "id": "76e4f0ef-15d0-4bde-8c0e-43d361c0795c",
    "name": "Invoices",
    "slug": "invoices",
    "color": "#2563eb",
    "parentId": null,
    "documentCount": 24,
    "directDocumentCount": 12,
    "childFolderCount": 3,
    "pathIds": [
      "76e4f0ef-15d0-4bde-8c0e-43d361c0795c"
    ],
    "pathNames": [
      "Invoices"
    ],
    "pathLabel": "Invoices",
    "depth": 0,
    "hasAutoAssign": false,
    "autoAssignment": null,
    "createdAt": "2026-01-23T18:11:47.319Z",
    "updatedAt": "2026-01-23T18:12:29.860Z"
  },
  "metadata": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "externalId": "string",
    "custom": {},
    "url": "string",
    "status": "processed",
    "isProcessed": true,
    "isFailed": true,
    "thumbnail": "string",
    "markdownUrl": "http://example.com",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "pageCount": 0,
    "isApproved": true,
    "isRejected": true,
    "field_metadata": {},
    "review": {
      "isRequired": true,
      "status": "not_required",
      "assignee": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "Jane Reviewer",
        "email": "[email protected]"
      },
      "currentStage": {
        "id": "string",
        "name": "string",
        "reviewerInstructions": "string",
        "position": 0
      },
      "stages": [
        {
          "id": "string",
          "name": "string",
          "reviewerInstructions": "string",
          "position": 0,
          "status": "pending",
          "assignee": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "Jane Reviewer",
            "email": "[email protected]"
          },
          "approvedAt": "2019-08-24T14:15:22Z",
          "rejectedAt": "2019-08-24T14:15:22Z"
        }
      ]
    }
  },
  "data": {
    "currency": "USD",
    "Order Number": "1437",
    "Buyer Name": "Abcxyz Traders"
  },
  "error": "Timed out while processing document"
}
```

```
{
  "error": true,
  "message": "Parser ID mismatch"
}
```

```
{
  "error": true,
  "message": "Document not found",
  "notFound": [
    {
      "type": "documentId",
      "value": "string"
    }
  ]
}
```

[

Search Documents POST

Search documents using document metadata and extracted field or table values.

](/docs/api/searchDocuments)[

Update Document PATCH

Update customer-managed document fields. Use this endpoint to rename a document, update its external ID, replace custom metadata, or move it to a folder. Set \`folderId\` to \`null\` to remove the document from its folder.

](/docs/api/updateDocument)